Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.metadata.constraint
Interface SecurityConstraints

All Superinterfaces:
  Constraints

    @UML(identifier="MD_SecurityConstraints",
         specification=ISO_19115)
    public interface SecurityConstraints

extends Constraints

Handling restrictions imposed on the resource for national security or similar security concerns.

Since:
  GeoAPI 2.0

Method Summary
`Classification` | `getClassification()` Name of the handling restrictions on the resource.
`InternationalString` | `getClassificationSystem()` Name of the classification system.
`InternationalString` | `getHandlingDescription()` Additional information about the restrictions on handling the resource.
`InternationalString` | `getUserNote()` Explanation of the application of the legal constraints or other restrictions and legal prerequisites for obtaining and using the resource.

Methods inherited from interface Constraints
`getUseLimitation`

Method Detail

### getClassification

    @UML(identifier="classification",
         obligation=MANDATORY,
         specification=ISO_19115)
    Classification getClassification()

  Name of the handling restrictions on the resource.

### getUserNote

    @UML(identifier="userNote",
         obligation=OPTIONAL,
         specification=ISO_19115)
    InternationalString getUserNote()

  Explanation of the application of the legal constraints or other restrictions and legal prerequisites for obtaining and using the resource.

### getClassificationSystem

    @UML(identifier="classificationSystem",
         obligation=OPTIONAL,
         specification=ISO_19115)
    InternationalString getClassificationSystem()

  Name of the classification system.

### getHandlingDescription

    @UML(identifier="handlingDescription",
         obligation=OPTIONAL,
         specification=ISO_19115)
    InternationalString getHandlingDescription()

  Additional information about the restrictions on handling the resource.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.